---
title: Retrieve UBOs
slug: poc-onboarding/retrieve-ubos
createdAt: 2025-06-23T05:38:42.429Z
---

{
  "id": "6IujUibAaauo5aFgRt32f",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/RetrieveUbos",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/RetrieveUbos"
      }
    ],
    "name": "Retrieve UBOs",
    "description": "Use this endpoint to retrieve a list of UBOs for verification for a given organisation.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "Retrieve_UBOs",
          "schema": [
            {
              "name": "applicantId",
              "kind": "required",
              "type": "string",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/Retrieve_UBOs",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Retrieve_UBOs_-_Response",
            "schema": [
              {
                "name": "ownershipInsight",
                "kind": "optional",
                "type": "object",
                "example": "",
                "schema": [
                  {
                    "name": "parentEntity",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "applicantId",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "uboType",
                    "kind": "optional",
                    "type": "string",
                    "example": "",
                    "default": "Individual"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "example": "",
                    "default": "ANNETTE JOY KRUGER"
                  },
                  {
                    "name": "detectedPosition",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "default": [
                      "Sole Trader"
                    ],
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "inputtedPosition",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "address",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "registrationNumber",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "shares",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "shareClass",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Retrieve_UBOs_-_Response",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/RetrieveUbos \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"applicantId\": \"\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"applicantId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/RetrieveUbos\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/RetrieveUbos\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"applicantId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/RetrieveUbos\"\n\npayload = json.dumps({\n   \"applicantId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"ownershipInsight\": {\n    \"parentEntity\": \"\",\n    \"applicantId\": \"\",\n    \"uboType\": \"\",\n    \"name\": \"\",\n    \"detectedPosition\": [\n      \"\"\n    ],\n    \"inputtedPosition\": \"\",\n    \"address\": \"\",\n    \"registrationNumber\": \"\",\n    \"shares\": [\n      \"\"\n    ],\n    \"shareClass\": [\n      \"\"\n    ]\n  }\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "7KKW0UdBuyszeQVwFvSJq",
      "type": "paragraph",
      "children": [
        {
          "text": "Use this endpoint to retrieve a list of UBOs for verification for a given organisation."
        }
      ]
    }
  ]
}